Bug 841702 (CVE-2012-3419)

Summary: CVE-2012-3419 pcp: privileged information diclosure flaw
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fche, fweimer, kenj, mgoodwin, nathans, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120816,reported=20120718,source=redhat,cvss2=3.3/AV:A/AC:L/Au:N/C:P/I:N/A:N,fedora-all/pcp=affected,epel-all/pcp=affected,dts-1.1/pcp=affected
Fixed In Version: pcp 3.6.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-22 11:57:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 840905, 848451, 848629, 848630    
Bug Blocks: 841708    

Description Vincent Danen 2012-07-19 18:32:54 EDT
Florian Weimer of the Red Hat Product Security Team discovered that pmcd (the PCP (Performance Co-Pilot) performance metrics collector daemon) exports part of the /proc file system, including privileged information that could be used to aid in bypassing ASLR, as well as full commandline information on running programs.
Comment 4 Huzaifa S. Sidhpurwala 2012-08-16 00:45:41 EDT
Created pcp tracking bugs for this issue

Affects: epel-all [bug 848629]
Comment 6 Fedora Update System 2012-08-20 06:54:39 EDT
pcp-3.6.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-08-20 06:57:10 EDT
pcp-3.6.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-21 14:34:20 EDT
pcp-3.6.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-21 14:38:08 EDT
pcp-3.6.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-17 20:00:58 EDT
pcp-3.6.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.